MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025547Community[OCCT] OCCT:Meshpublic2014-12-03 14:262015-05-14 15:32
Reportersjl 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025547: static class mehtods not exported in BrepMesh_GeomTool
DescriptionOn BRepMesh_GeomTool.hxx ln(140)
Standard_EXPORT has been removed from
 static Standard_Boolean Normal(const Handle(BRepAdaptor_HSurface)& ...
since previous release. Thus removing it from the dll interface. Was this somehow intentional. Now the method is inaccessible..
(Also other similar methods in this file and a bit weird title in ref documation)
Steps To Reproduce# Note: this test does not exist in master and created specially for this issue
pload QAcommands
OCC25547
TagsNo tags attached.
Test case numberbugs mesh(016) bug25547
Attached Files

- Relationships

-  Notes
(0035046)
oan (developer)
2014-12-05 11:43

Dear SJL,

Thank you for this important remark! This hurtful mistake ocurred during refactoring of BRepMesh package and removing of CDL declarations. We are going to fix it immediately. All static methods will be accessible.
(0035056)
git (administrator)
2014-12-05 13:08

Branch CR25547 has been created by oan.

SHA-1: 0fd7ec6aa5649e1f05445d6009d2bd14611edb14


Detailed log of new commits:

Author: oan
Date: Fri Dec 5 13:08:06 2014 +0300

    0025547: static class mehtods not exported in BrepMesh_GeomTool
(0035058)
oan (developer)
2014-12-05 13:16

Branch CR25547 is ready to be reviewed.
(0035077)
git (administrator)
2014-12-05 17:49

Branch CR25547 has been updated forcibly by mkv.

SHA-1: 5a849a40e1682a502a4ed697bc6be82d0cd9f608
(0035160)
mkv (tester)
2014-12-08 18:36

Dear BugMaster,
Branch CR25547 was rebased on current master of occt git-repository.
(0035161)
mkv (tester)
2014-12-08 18:38

Dear BugMaster,
Branch CR25547 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5a849a40e1682a502a4ed697bc6be82d0cd9f608

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests.nnov.opencascade.com/CR25547-master-occt/Debian60-64/bugs/mesh/bug25547.html [^]
http://occt-tests.nnov.opencascade.com/CR25547-master-occt/Windows-32-VC10/bugs/mesh/bug25547.html [^]
bugs mesh(016) bug25547: OK

Testing on Linux:
occt component :
Total MEMORY difference: 363906564 / 363562240
Total CPU difference: 48698.530000000115 / 47537.4299999999
products component :
Total MEMORY difference: 112894328 / 112707072
Total CPU difference: 16293.029999999988 / 16215.419999999982

Testing on Windows:
occt component :
Total MEMORY difference: 277207912 / 277133700
Total CPU difference: 34447.734375 / 41681.890625
products component :
Total MEMORY difference: 80808896 / 71187188
Total CPU difference: 14137.03125 / 13033.296875

There are no differences in images found by testdiff.
(0035162)
git (administrator)
2014-12-08 18:41

Branch CR25547 has been updated by mkv.

SHA-1: b9d57d2435e0a5f5176a358de74570f4f5f9fd35


Detailed log of new commits:

Author: mkv
Date: Mon Dec 8 18:40:54 2014 +0300

    Test case for issue CR25547

(0035163)
mkv (tester)
2014-12-08 18:43

Dear oan,
could you please review test case bugs/mesh(016)/bug25547
(0035195)
oan (developer)
2014-12-09 12:14

Dear mkv,

thank you, it is OK for me.
(0035198)
mkv (tester)
2014-12-09 12:21

OK. Branch CR25547 is TESTED.
(0036586)
git (administrator)
2015-01-26 12:35

Branch CR25547 has been deleted by inv.

SHA-1: b9d57d2435e0a5f5176a358de74570f4f5f9fd35

- Related Changesets
occt: master d315303d
Timestamp: 2014-12-11 13:14:38
Author: oan
Committer: bugmaster
Details ] Diff ]
0025547: static class mehtods not exported in BrepMesh_GeomTool

Test case for issue CR25547
mod - src/BRepMesh/BRepMesh_GeomTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_WireInterferenceChecker.hxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
add - tests/bugs/mesh/bug25547 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-03 14:26 sjl New Issue
2014-12-03 14:26 sjl Assigned To => oan
2014-12-05 11:43 oan Note Added: 0035046
2014-12-05 11:43 oan Severity just a question => major
2014-12-05 11:43 oan Status new => assigned
2014-12-05 13:08 git Note Added: 0035056
2014-12-05 13:10 oan Steps to Reproduce Updated View Revisions
2014-12-05 13:11 oan Steps to Reproduce Updated View Revisions
2014-12-05 13:16 oan Note Added: 0035058
2014-12-05 13:16 oan Assigned To oan => pdn
2014-12-05 13:16 oan Status assigned => resolved
2014-12-05 14:43 pdn Assigned To pdn => bugmaster
2014-12-05 14:43 pdn Status resolved => reviewed
2014-12-05 16:53 mkv Assigned To bugmaster => mkv
2014-12-05 17:49 git Note Added: 0035077
2014-12-08 18:36 mkv Note Added: 0035160
2014-12-08 18:38 mkv Note Added: 0035161
2014-12-08 18:38 mkv Assigned To mkv => bugmaster
2014-12-08 18:38 mkv Status reviewed => tested
2014-12-08 18:41 git Note Added: 0035162
2014-12-08 18:42 mkv Test case number => bugs mesh(016) bug25547
2014-12-08 18:43 mkv Note Added: 0035163
2014-12-08 18:43 mkv Assigned To bugmaster => oan
2014-12-08 18:43 mkv Status tested => feedback
2014-12-09 12:14 oan Note Added: 0035195
2014-12-09 12:14 oan Assigned To oan => mkv
2014-12-09 12:14 oan Status feedback => reviewed
2014-12-09 12:21 mkv Note Added: 0035198
2014-12-09 12:21 mkv Assigned To mkv => bugmaster
2014-12-09 12:21 mkv Status reviewed => tested
2014-12-16 16:46 bugmaster Changeset attached => occt master d315303d
2014-12-16 16:46 bugmaster Status tested => verified
2014-12-16 16:46 bugmaster Resolution open => fixed
2015-01-19 16:21 bugmaster Target Version => 6.9.0
2015-01-26 12:35 git Note Added: 0036586
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker